aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/opkg/files/configure
diff options
context:
space:
mode:
Diffstat (limited to 'recipes/opkg/files/configure')
-rw-r--r--recipes/opkg/files/configure18
1 files changed, 18 insertions, 0 deletions
diff --git a/recipes/opkg/files/configure b/recipes/opkg/files/configure
new file mode 100644
index 0000000000..1a8c3149b5
--- /dev/null
+++ b/recipes/opkg/files/configure
@@ -0,0 +1,18 @@
+#!/bin/sh
+# get splash funcs
+if [ -f /etc/default/splashfuncs ]; then
+ . /etc/default/splashfuncs
+fi
+## tell boot status to "pulsate" really long busy cycle here
+status_pulse || true
+# run configure in bg
+opkg-cl configure &
+PID=$!
+# while configure still running loop
+while test -d /proc/$PID; do
+# tick to splash so it doesn't time out
+ status_tick || true
+ sleep 1
+done
+# delete myself
+rm -f /etc/rcS.d/S98configure